diff -ur gsl-2.1.1.orig/src/configure.ac gsl-2.1.1/src/configure.ac
--- gsl-2.1.1.orig/src/configure.ac	2018-07-06 11:04:59.199071174 -0400
+++ gsl-2.1.1/src/configure.ac	2018-07-06 12:16:06.825679865 -0400
@@ -28,24 +28,23 @@
 AC_PATH_PROG([MKOCTFILE],[mkoctfile])
 test -z "$MKOCTFILE" && AC_MSG_ERROR([mkoctfile not found])
 
-dnl Check for octave (used to get cannical_host_type)
-AC_PATH_PROG([OCTAVE],[octave])
-test -z "$OCTAVE" && AC_MSG_ERROR([octave not found])
-
+dnl Check for octave-config
+AC_PATH_PROG([OCTAVE_CONFIG],[octave-config])
+test -z "$OCTAVE_CONFIG" &&  AC_MSG_ERROR([octave-config not found])
+
+AC_DEFUN(OCTAVE_CONFIG_EVAL,
+[AC_MSG_CHECKING([for $1 in octave-config])
+$2=`$OCTAVE_CONFIG -p $1`
+AC_MSG_RESULT($$2)
+AC_SUBST($2)
+])
 
 dnl *****************************
 dnl *** System-specific stuff ***
 dnl *****************************
 
 dnl Grab canonical host type so we can write system specific install stuff
-AC_MSG_CHECKING([for Octave's canonical_host_type])
-canonical_host_type=`$OCTAVE -qf --eval "                   \
-  if exist ('__octave_config_info__')                       \
-    disp  (__octave_config_info__ ('canonical_host_type'))  \
-  else                                                      \
-    disp  (octave_config_info ('canonical_host_type'))      \
-  end"`
-AC_MSG_RESULT([${canonical_host_type}])
+OCTAVE_CONFIG_EVAL(CANONICAL_HOST_TYPE,canonical_host_type)
 
 dnl GSL specific preprocessor flags
 AC_SUBST([GSL_DEFINES])
@@ -63,17 +62,23 @@
 dnl *********************************
 
 dnl Find Octave's include directory
-AC_MSG_CHECKING([for Octave's include directory])
-octave_include_dir=`$OCTAVE -qf --eval "              \
-  if exist ('__octave_config_info__')                 \
-    disp  (__octave_config_info__ ('octincludedir'))  \
-  else                                                \
-    disp  (octave_config_info ('octincludedir'))      \
-  end"`
-AC_MSG_RESULT([${octave_include_dir}])
+OCTAVE_CONFIG_EVAL(OCTINCLUDEDIR,octave_include_dir)
+
+# let configure get CC and CXX so we cant override for tests
+AC_PROG_CC
+AC_PROG_CXX
+
+# set compiler and flags to values octave will be using
+CC=`$MKOCTFILE -p CC`
+CXX=`$MKOCTFILE -p CXX`
+CFLAGS=`$MKOCTFILE -p CFLAGS`
+CPPFLAGS=`$MKOCTFILE -p CPPFLAGS`
+LDFLAGS=`$MKOCTFILE -p LDFLAGS`
+LIBS=`$MKOCTFILE -p LIBS`
+CXXFLAGS=`$MKOCTFILE -p CXXFLAGS`
 
 dnl Save initial state
-save_CPPFLAGS=${CPPFLAG}
+save_CPPFLAGS=${CPPFLAGS}
 AC_LANG_PUSH([C++])
 
 dnl Add octave include dir to CPPFLAGS
@@ -120,7 +125,7 @@
 )
 
 dnl Restore initial state
-AC_LANG_PUSH([C++])
+AC_LANG_POP([C++])
 CPPFLAGS=${save_CPPFLAGS}
 
 
diff -ur gsl-2.1.1.orig/src/configure.ac.in gsl-2.1.1/src/configure.ac.in
--- gsl-2.1.1.orig/src/configure.ac.in	2018-07-06 11:04:59.193071031 -0400
+++ gsl-2.1.1/src/configure.ac.in	2018-07-06 12:16:00.987540545 -0400
@@ -24,24 +24,23 @@
 AC_PATH_PROG([MKOCTFILE],[mkoctfile])
 test -z "$MKOCTFILE" && AC_MSG_ERROR([mkoctfile not found])
 
-dnl Check for octave (used to get cannical_host_type)
-AC_PATH_PROG([OCTAVE],[octave])
-test -z "$OCTAVE" && AC_MSG_ERROR([octave not found])
-
+dnl Check for octave-config
+AC_PATH_PROG([OCTAVE_CONFIG],[octave-config])
+test -z "$OCTAVE_CONFIG" &&  AC_MSG_ERROR([octave-config not found])
+
+AC_DEFUN(OCTAVE_CONFIG_EVAL,
+[AC_MSG_CHECKING([for $1 in octave-config])
+$2=`$OCTAVE_CONFIG -p $1`
+AC_MSG_RESULT($$2)
+AC_SUBST($2)
+])
 
 dnl *****************************
 dnl *** System-specific stuff ***
 dnl *****************************
 
 dnl Grab canonical host type so we can write system specific install stuff
-AC_MSG_CHECKING([for Octave's canonical_host_type])
-canonical_host_type=`$OCTAVE -qf --eval "                   \
-  if exist ('__octave_config_info__')                       \
-    disp  (__octave_config_info__ ('canonical_host_type'))  \
-  else                                                      \
-    disp  (octave_config_info ('canonical_host_type'))      \
-  end"`
-AC_MSG_RESULT([${canonical_host_type}])
+OCTAVE_CONFIG_EVAL(CANONICAL_HOST_TYPE,canonical_host_type)
 
 dnl GSL specific preprocessor flags
 AC_SUBST([GSL_DEFINES])
@@ -59,17 +58,23 @@
 dnl *********************************
 
 dnl Find Octave's include directory
-AC_MSG_CHECKING([for Octave's include directory])
-octave_include_dir=`$OCTAVE -qf --eval "              \
-  if exist ('__octave_config_info__')                 \
-    disp  (__octave_config_info__ ('octincludedir'))  \
-  else                                                \
-    disp  (octave_config_info ('octincludedir'))      \
-  end"`
-AC_MSG_RESULT([${octave_include_dir}])
+OCTAVE_CONFIG_EVAL(OCTINCLUDEDIR,octave_include_dir)
+
+# let configure get CC and CXX so we cant override for tests
+AC_PROG_CC
+AC_PROG_CXX
+
+# set compiler and flags to values octave will be using
+CC=`$MKOCTFILE -p CC`
+CXX=`$MKOCTFILE -p CXX`
+CFLAGS=`$MKOCTFILE -p CFLAGS`
+CPPFLAGS=`$MKOCTFILE -p CPPFLAGS`
+LDFLAGS=`$MKOCTFILE -p LDFLAGS`
+LIBS=`$MKOCTFILE -p LIBS`
+CXXFLAGS=`$MKOCTFILE -p CXXFLAGS`
 
 dnl Save initial state
-save_CPPFLAGS=${CPPFLAG}
+save_CPPFLAGS=${CPPFLAGS}
 AC_LANG_PUSH([C++])
 
 dnl Add octave include dir to CPPFLAGS
@@ -116,7 +121,7 @@
 )
 
 dnl Restore initial state
-AC_LANG_PUSH([C++])
+AC_LANG_POP([C++])
 CPPFLAGS=${save_CPPFLAGS}
 
 
